#include "website.ch"

PROC MAIN( cCmd, cRecno )  // --> CMD line params. passed by server
LOCAL oCgi, aCmd, cQuery

SET DATE BRITISH

IF cCmd == NIL
   cCmd := ""
ENDIF

IF "%" $ cCmd
   cCmd := DecodeURL( cCmd )
   aCmd := listAsArray( cCmd, " ")
   cCmd := aCmd[1]
   IF LEN( aCmd ) > 1
      cRecno := aCmd[2]
   ENDIF
ENDIF

scCmd := cCmd


IF "POST" $ UPPER(GETENV("REQUEST_METHOD"))
      oCgi   := oCGI():New()
      cQuery := UPPER(oCgi:query_String)          // just in case...
ELSE
      oCgi   := oCGI():New()
      cQuery := UPPER(GETENV("QUERY_STRING"))
ENDIF

scQuery := cQuery
soIni := oIni():New("website.ini")
soIni:read()
soIni:close()

//
//  simple redirection based on command line arguments.
//  Each of the following routines produces stand alone HTML/CGI output
//
//

IF "BLDPAGE" $ cCmd
    FormDemo(oCgi,cRecno)
ELSEIF "POST" $ cCmd
    PostData(oCgi,cRecno)
ELSE
    BlankPage()
ENDIF

RETURN


PROC FormDemo(oCgi,cRecno)
//
LOCAL oHtm
LOCAL oForm, oForm1,oUser, oPass, oLbx

LOCAL oText1, oText2,oText3,oText4
LOCAL oBut1, oBut2
LOCAL oSub, oReset

DEFINE CGI ;
       TITLE "Guest Book" ;
       BGIMAGE (COMMON_BGIMAGE) ;
       BGCOLOR (COMMON_BGCOLOR) ;
       OF oHtm


Start Font "Courier" SIZE 2 OF oHtm

oHtm:write("<br><br>")
oHtm:write("<P ALIGN='right'>")

DEFINE FORM oForm1 NAME "Harbour Guest Book" ;
       FRAME ;
       COLOR "WHITE" ;
       CAPTION [<IMG SRC='/images/email/email1.gif' onClick='history.back()' height=40>]+htmlspace(2)+"Mail form" ;
       CAPFONTCOLOR "red" ;
       WIDTH 60 ;
       METHOD 'POST' ;
       ACTION "mailto:culik@sl.conex.net"  // --> NOTE !!!
//       ACTION "/cgi-bin/guestbook.exe?POST%20"+cRecno
//       CAPIMAGE "/images/sidebars/sbk.gif" ;
//       BGIMAGE "/images/sidebars/sb1.gif" ;

DEFINE HIDDEN oText3 Name "subject" ;
       VALUE "Isso e um Teste"  ;
       IN oForm1

DEFINE EDIT oText1 NAME "text1" ;
       VALUE "" ;
       MAXCHARS 30 ;
       CAPTION "<b>"+(htmlPadL("Name : ",20) )+"</b>" ;
       IN oForm1

LINE BREAK IN oForm1

DEFINE EDIT oText2 NAME "text2" ;
       VALUE "" ;
       MAXCHARS 30 ;
       CAPTION "<b>"+(htmlPadL("Home Page : ",20) )+"</b>" ;
       IN oForm1

LINE BREAK IN oForm1

DEFINE EDIT oText2 NAME "text3" ;
       VALUE "" ;
       MAXCHARS 30 ;
       CAPTION "<b>"+(htmlPadL("Email : ",20) )+"</b>" ;
       IN oForm1

LINE BREAK IN oForm1
LINE BREAK IN oForm1

SPACE 25 IN oForm1
DEFINE SUBMIT oSub NAME "cSubmit" VALUE "    Submit    " IN oForm1


ACTIVATE oForm1

oForm1 := NIL

//

oHtm:write("</P>")
oHtm:cgiClose()


RETURN
PROCEDURE BlankPage( oCgi )
//
LOCAL oHtm

DEFINE CGI ;
       BGIMAGE (COMMON_BGIMAGE) ;
       BGCOLOR (COMMON_BGCOLOR) ;
       TITLE "ACTION Error !!!" ;
       OF oHtm

oHtm:SetTextColor("black")
oHtm:Setcenter( .T. )

oHtm:WriteLN("")
oHtm:WriteLN("ERROR !!!")
oHtm:WriteLN("")
oHtm:WriteLN("Please specify an appropriate action...")

oHtm:cgiClose()

RETURN
Procedure PostData(oCgi,cRecno)

LOCAL ohtm
DEFINE CGI TITLE "POST" ;
     BASETARGET "mailto:culik@sl.conex.net?"+cRecno  of oHtm
    ohtm:CgiClose()
return
